import * as textQuote from "dom-anchor-text-quote";
import type { TextFragment } from "text-fragments-polyfill/dist/fragment-generation-utils.js";
import type { Logger } from "../logger.js";
export interface DomAnchor {
    discoverSteps?: RevealStep[];
    fragment?: TextFragment;
    text: textQuote.TextQuoteAnchor;
}
export interface RevealStep {
    action: RevealAction;
    anchor: DomAnchor;
}
type RevealAction = {
    action: "click";
};
export declare function getRangesFromDomAnchor(root: HTMLElement, domAnchor: DomAnchor, logger?: Logger): Range[];
export declare function makeDomAnchorFromSelection(selection: Selection): DomAnchor;
export declare function makeDomAnchorFromRange(range: Range): DomAnchor;
export {};
